# Default values for kafka-connect.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
nameOverride: ""
fullnameOverride: ""

serverPort: 8083

replicas: 1

connectConsumerGroup: "kafka-connect-consumers-1"

image:
  repository: ""
  tag: ""

configurer:
  image:
    repository: ""
    tag: ""

service:
  enabled: true
  type: ClusterIP

resources:
  requests:
    memory: 2Gi
  limits:
    memory: 2Gi

kafkaHeapOpts: "-XX:+UseContainerSupport -XX:MaxRAMPercentage=75 -XX:InitialRAMPercentage=75"

# -- producer max request size (presumably in bytes), and it should be a **string**
maxMessageSize: "4194304"
